#!/bin/bash

# This script creates the new packages and send them to the FTP.
# It does NOT update the symlinks on the FTP: do it by hand!


if [ $# -lt 1 ]; then
  echo "Usage: `basename $0` <version e.g. 0.6.0>"
  exit 1
fi

WORKSPACE=~/workspace
VERSION=$1

for NAME in sat sat_media urwid_satext sat_pubsub libervia; do
    cd $WORKSPACE/$NAME
    hg pull -u
    FILE=$NAME-$VERSION.tar.bz2
    hg archive -t tbz2 $FILE -X ".hg*"
    if [[ $NAME = "urwid_satext" ]]; then
        DIR="urwid-satext"
    else
        DIR=$NAME
    fi
    scp -P 2222 $FILE souliane@cete.goffi.org:/srv/ftp/$DIR/
done